#
# spec file for package jakarta-commons-modeler (Version 2.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0

Name:           jakarta-commons-modeler
BuildRequires:  ant jakarta-commons-digester java2-devel-packages jmx junit xalan-j2 xml-commons-apis
%define base_name	modeler
%define short_name	commons-%{base_name}
%define name		jakarta-%{short_name}
%define version		2.0
%define release		4jpp
%define	section		free
Version:        2.0
Release:        1
Summary:        Jakarta Commons Modeler Package
License:        The Apache Software License
Group:          Development/Libraries/Java
Source0:        %{short_name}-%{version}-src.tar.bz2
#Patch:		%{name}.no-licence.build.patch
Patch:          %{name}-java14compat.patch
URL:            http://jakarta.apache.org/commons/modeler/
Requires:       jaxp_parser_impl
Requires:       xml-commons-apis
Requires:       jaxp_transform_impl
Requires:       jmxri
Requires:       jakarta-commons-beanutils >= 0:1.3
Requires:       jakarta-commons-collections >= 0:2.0
Requires:       jakarta-commons-digester >= 0:1.2
Requires:       jakarta-commons-logging >= 0:1.0
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       %{short_name}
Obsoletes:      %{short_name}

%description
The Modeler project creates and maintains a set of Java classes to
provide a number of facilities for Model MBeans plus unit tests and
small examples of using these facilities to instrument Java classes
with Model MBean support.



%package javadoc
PreReq:         coreutils
Summary:        Javadoc for jakarta-commons-modeler
Group:          Development/Libraries/Java

%description javadoc
The Modeler project shall create and maintain a set of Java classes to
provide the facilities described in the preceeding section, plus unit
tests and small examples of using these facilities to instrument Java
classes with Model MBean support.

This package contains the javadoc documentation for the Jakarta Commons
Modeler Package.



%prep
%setup -n %{short_name}-%{version}-src
%patch -p1
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath xml-commons-apis jaxp_parser_impl jaxp_transform_impl jmxri junit commons-beanutils commons-collections commons-digester commons-logging)

%ant dist

%install
# jars

%__mkdir_p %{buildroot}%{_javadir}

%__cp -a dist/%{short_name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %__ln_s ${jar} `echo $jar| %__sed  "s|jakarta-||g"`; done)
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %__ln_s ${jar} `echo $jar| %__sed  "s|-%{version}||g"`; done)
# javadoc

%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}

%__cp -a dist/docs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc

%__rm -f %{_javadocdir}/%{name}

%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt  RELEASE-NOTES.txt xdocs
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Mon Mar 19 2007 - dbornkessel@suse.de
- update to version 2.0 ... needed for newest tomcat55
  BUG REPORTS ADDRESSED:
  o MODELER-18   support for general descriptors
  o MODELER-17   [modeler] MbeansSource don't use args at mbeans and operations
  o MODELER-16   [modeler] download links broken
  o MODELER-15   [modeler] IntrospectionUtils memory leak
  o MODELER-14   After setting an Attribute the Notification Listener will not performed
  o MODELER-13   [modeler] BaseModelMBean class setModeledType method should be setModelerType
  o MODELER-12   [modeler] ManagedBean uses the wrong case for ObjectReference
  o MODELER-11   [modeler] Null Pointer Exception - Non-Singleton Registry
  o MODELER-10   [modeler] DTD violation when using simple wrapping
  o MODELER-9    [modeler] Registry.convertValue doesn't support longs
  o MODELER-8    [modeler] AttributeChangeNotification sent before attribute changes
  o MODELER-7    sendAttributeChangeNotification on setAttribute
  o MODELER-6    [modeler] wiki page is immutable and out-of-date
  o MODELER-5    [modeler] setServer stack overflow
  o MODELER-4    [modeler] Overloaded operations throw "wrong number of parameters" exception
  o MODELER-3    [modeler] maven build fails on os x with test failure.
  o MODELER-2    [modeler] Registry insufficiently synchronized
  o MODELER-1    ClassNotFoundException while using the Notification
* Mon Sep 25 2006 - skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 27 2005 - jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 - jsmeix@suse.de
- Current version 1.1 from JPackage.org
* Sun Sep 05 2004 - skh@suse.de
- Initial package created with version 1.1 (JPackage 1.5)
